using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebApplication1.Models;

namespace WebApplication1.Controllers {
  public class BonjourController : Controller {
    // GET: Bonjour
    public ActionResult Index() {
      ViewBag.Maintenant = DateTime.Now;
      return View();
    }
    // Très looser :
    public ActionResult Bonjour1() {
      ViewData["Personne"] = new Individu() { Nom = Request.Form["nom"], Prenom = Request.Form["prenom"] };
      return View( "Bonjour1" );
    }
    // Looser :
    public ActionResult Bonjour2() {
      ViewBag.Personne = new Individu() { Nom = Request.Form["nom"], Prenom = Request.Form["prenom"] };
      return View( "Bonjour2" );
    }
    // Winner :
    public ActionResult Bonjour( Individu personne ) { // Vive le model binding et le ControlerActionInvoker  !
      return View( "Bonjour", personne ); // personne sera accessible par la vue dans la variable "Model"
    }
		[ActionName( "AuRevoir" )]
		public ActionResult ByeBye() {
      return View( "AuRevoir" );
    }
  }
}